#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int a[n],indeks[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
        indeks[i] = i;
    }
    int pom;
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            if(a[indeks[i]]>a[indeks[j]]){
                pom = indeks[i];
                indeks[i] = indeks[j];
                indeks[j] = pom;
            }
        }
    }
    int t[n];
    int h=0;
    for(int i=0;i<n;i++){
        int b=1;
        for(int j=1;j<k;j++){
            if(i+j>=n){
                break;
            }
            if(a[indeks[i]]==a[indeks[i+j]]){
                b++;
            }else{
                break;
            }
        }
        if(b>=k){
            if(t[indeks[i-1]]!=a[indeks[i]]){
                t[indeks[i]]=a[indeks[i]];
                h++;
                i=i+(k-1);
            }
        }
    }
    cout<<h<<endl;
    for(int i=0;i<n;i++){
        if(t[indeks[i]]==a[indeks[i]]){
            cout<<t[indeks[i]]<<" ";
        }
    }
    return 0;
}